質問編集履歴

2 誤字

Reverseblade

Reverseblade score 0

2017/01/20 12:45  投稿

【Python】外部モジュールのBeautifulSoupをさくらレンタルサーバで使用したい
さくらレンタルサーバーでPython外部モジュールの**BeautifulSoup**が使用したいのですが、上手くいきません。
「/home/ユーザー名/.local/lib/python2.7/」 のディレクトリにインストール用のtarファイルの中身を入れ、sshログインしてから「**python setup,py install --user **」コマンドを実行しインストールしています。しかしBeautifulsoupをインポートしようとすると下記のようなエラーが表示されます。
```ここに言語を入力
from .import _htmlparser
 File "/home/ユーザ名/.local/lib/python2.7/site-packages/bs4/builder/_htmlparser.py", line 11, in <module>
   from html.parser import HTMLParser
ImportError: No module named parser
```
ルートディレクトリの.cshrcファイルのPYTHONPATHは何度か書き換え、いづれも失敗していますが、現在は下記のように記載しています。
**setenv PYTHONPATH $HOME/.locak/lib/python2.7
setenv LD_LIBRARY_PATH $HOME/.local/lib**
尚、PYTHONPATHとLD_LIBRARY_PATHについていまいちよくわかっておらず、それぞれの役割ももしよければ教えていただけると助かります。
ご回答をお待ちしております。
追記:インストールの際、python2と明示的に記載しインストールすると、インストール直後はimport出来ますが、sshを一度ログアウトし、再度ログインして使用すると同エラーが表示される現象がい起。
**追記**:インストールの際、python2と明示的に記載しインストールすると、インストール直後はimport出来ますが、sshを一度ログアウトし、再度ログインして使用すると同エラーが表示される現象が起きています。
  • Python 2.7

    1455 questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

1 追記

Reverseblade

Reverseblade score 0

2017/01/20 12:44  投稿

【Python】外部モジュールのBeautifulSoupをさくらレンタルサーバで使用したい
さくらレンタルサーバーでPython外部モジュールの**BeautifulSoup**が使用したいのですが、上手くいきません。
「/home/ユーザー名/.local/lib/python2.7/」 のディレクトリにインストール用のtarファイルの中身を入れ、sshログインしてから「**python setup,py install --user **」コマンドを実行しインストールしています。しかしBeautifulsoupをインポートしようとすると下記のようなエラーが表示されます。
```ここに言語を入力
from .import _htmlparser
 File "/home/ユーザ名/.local/lib/python2.7/site-packages/bs4/builder/_htmlparser.py", line 11, in <module>
   from html.parser import HTMLParser
ImportError: No module named parser
```
ルートディレクトリの.cshrcファイルのPYTHONPATHは何度か書き換え、いづれも失敗していますが、現在は下記のように記載しています。
**setenv PYTHONPATH $HOME/.locak/lib/python2.7
setenv LD_LIBRARY_PATH $HOME/.local/lib**
尚、PYTHONPATHとLD_LIBRARY_PATHについていまいちよくわかっておらず、それぞれの役割ももしよければ教えていただけると助かります。
ご回答をお待ちしております。
ご回答をお待ちしております。
追記:インストールの際、python2と明示的に記載しインストールすると、インストール直後はimport出来ますが、sshを一度ログアウトし、再度ログインして使用すると同エラーが表示される現象がい起。
  • Python 2.7

    1455 questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

思考するエンジニアのためのQ&Aサイト「teratail」について詳しく知る